window.addEventListener('load', () => {
    wydid();
    WydarzeniaDate();
    WydarzeniaDate1();
    WydarzeniaDate2();
    WydarzeniaDate3();
    WydarzeniaDate4();
    WydarzeniaDate5();
    WydarzeniaDate6();
    WydarzeniaDate7();
    WydarzeniaDate8();
})
var link=window.location.href;
var months='';
function wydid(){
    var liczba = 0;
    document.querySelectorAll('.wydarzenia .jt-cs .slide').forEach(dat => {
        liczba++;
        dat.id = "data" + liczba;
    });
}

function WydarzeniaDate() {
  
  
  // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
  const dateDiv = document.querySelector('#data1 .jtc_introdate');
  const dateString = dateDiv.textContent.trim();

  // Usunięcie nazwy dnia tygodnia
  const dateWithoutDay = dateString.split(', ')[1];

  // Zamiana nazwy miesiąca na numer
  if(link.includes('en-us')){
    months = {
      'January': '01', 'February': '02', 'March': '03', 'April': '04',
      'May': '05', 'June': '06', 'July': '07', 'August': '08',
      'September': '09', 'October': '10', 'November': '11', 'December': '12'
  };
  
  }else{
    months = {
      'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
      'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
      'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
  };

  }

  const parts = dateWithoutDay.split(' ');
  parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer

  // Stworzenie prawidłowego ciągu daty
  const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
  const date = new Date(newDateString);

  // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
  const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
  const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
  console.log(day+"dzien i miesiac "+month)

  // Ustawienie wartości dla CSS Custom Properties na elemencie :root
  document.querySelector(':root').style.setProperty('--content1', "'"+day+".'");
  document.querySelector(':root').style.setProperty('--content11', "'"+month+"'");


}
function WydarzeniaDate1() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data2 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content2', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content22', "'"+month+"'");
  
  
  }
  function WydarzeniaDate2() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data3 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content3', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content33', "'"+month+"'");
  
  
  }

  function WydarzeniaDate3() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data4 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content4', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content44', "'"+month+"'");
  
  
  }
  function WydarzeniaDate4() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data5 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content5', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content55', "'"+month+"'");
  
  
  }



  function WydarzeniaDate5() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data6 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content6', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content66', "'"+month+"'");
  
  
  }

  function WydarzeniaDate6() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data7 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content7', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content77', "'"+month+"'");
  
  
  }


  function WydarzeniaDate7() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data8 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content8', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content88', "'"+month+"'");
  
  
  }


  function WydarzeniaDate8() {
  
  
    // Znalezienie elementu div o klasie 'jtc_introdate' i pobranie jego zawartości
    const dateDiv = document.querySelector('#data9 .jtc_introdate');
    const dateString = dateDiv.textContent.trim();
  
    // Usunięcie nazwy dnia tygodnia
    const dateWithoutDay = dateString.split(', ')[1];
  
    // Zamiana nazwy miesiąca na numer
    if(link.includes('en-us')){
      months = {
        'January': '01', 'February': '02', 'March': '03', 'April': '04',
        'May': '05', 'June': '06', 'July': '07', 'August': '08',
        'September': '09', 'October': '10', 'November': '11', 'December': '12'
    };
    
    }else{
      months = {
        'stycznia': '01', 'lutego': '02', 'marca': '03', 'kwietnia': '04',
        'maja': '05', 'czerwca': '06', 'lipca': '07', 'sierpnia': '08',
        'września': '09', 'października': '10', 'listopada': '11', 'grudnia': '12'
    };
  
    }
    const parts = dateWithoutDay.split(' ');
    parts[1] = months[parts[1]]; // Zamiana nazwy miesiąca na numer
  
    // Stworzenie prawidłowego ciągu daty
    const newDateString = `${parts[2]}-${parts[1]}-${parts[0]} ${parts[3]}`;
    const date = new Date(newDateString);
  
    // Pobranie dnia i miesiąca, formatowanie ich do dwucyfrowych wartości
    const day = date.getDate().toString().padStart(2, '0').toString(); // Dzień jako liczba, zawsze dwucyfrowy
    const month = (date.getMonth() + 1).toString().padStart(2, '0').toString(); // Miesiąc jako numer, zawsze dwucyfrowy
    console.log(day+"dzien i miesiac "+month)
  
    // Ustawienie wartości dla CSS Custom Properties na elemencie :root
    document.querySelector(':root').style.setProperty('--content9', "'"+day+".'");
    document.querySelector(':root').style.setProperty('--content99', "'"+month+"'");
  
  
  }